#import <appkit/appkit.h>
#import "BackView.h"

@interface BackView(KB_BackView)
- resetCursorRects;
@end

@implementation BackView(KB_BackView)
- (BOOL)acceptsFirstMouse
{
    return YES;
} /*acceptsFirstMouse*/



- resetCursorRects
{
	NXRect visible;
	
	// If there's a visible rect, make the cursor be our
	// "blank" cursor whenever it's above our view.
	if ([self getVisibleRect:&visible]) {
		[self addCursorRect:&visible cursor:[[NXCursor alloc] initFromImage:[NXImage findImageNamed:"kb_emptyCursor"]]];
	}
	return self;
} /*resetCursorRects*/

@end
