/*  
 * 
 * KB_Bomber.m	-- An actor for controlling the bomber.  Responsible for the
 *                 bombs that it drops.
 * 
 * 
 * You may freely copy, distribute, and reuse the code in this example.
 * The author disclaims any warranty of any kind, expressed or implied, as to
 * its fitness for any particular use.
 *
 * Written by Mark G. Tacchi, mtacchi@next.com
 *
 * Wed Jul 27 1994
 */

#import "Actor.h"

@interface KB_Bomber:Actor
{
  unsigned	expireTime, deltaTime, explodeTimer;
  int		numBombs;
  int		maxNumBombsForLevel;
  int		currentLevel;
  List		*bombList;
  BOOL		explodeBombs;
  BOOL		stopped;
  BOOL		demoMode;
}

- (List *) bombList;
- dropBomb;
- explodeAllBombs;
- removeLowestBombFromList;
- stop;

@end
